#!/bin/bash

### unzip the HDSentinel archive
unzip HDSentinel.zip -d ~/

## copy icon to icons folder
sudo cp ~/HDSentinel/HDSentinel.png -t /usr/share/icons

## set owner and permissions for icon
sudo chmod 444 /usr/share/icons/HDSentinel.png

## copy script to bin folder
sudo cp ~/HDSentinel/Gnome/HDSentinel_script_save_gnome -t /usr/local/bin

## set permissions for script
sudo chmod 755 /usr/local/bin/HDSentinel_script_save_gnome

## make directory for user menu if not present
mkdir -p ~/.local/share/applications 

## copy launcher to user menu
cp ~/HDSentinel/Gnome/Launcher/HDSentinel.desktop  -t ~/.local/share/applications

## set permissions for menu launcher
chmod 755 ~/.local/share/applications/HDSentinel.desktop

## copy launcher to Desktop
cp ~/HDSentinel/Gnome/Launcher/HDSentinel.desktop -t ~/Asztal

## set permissions for desktop launcher
chmod 775 ~/Asztal/HDSentinel.desktop

## set final permissions for HDSentinel
chmod 664 ~/HDSentinel/readme2
chmod 664 ~/HDSentinel/HDSentinel.png
chmod -R 755 ~/HDSentinel/Gnome
chmod 755 ~/HDSentinel/HDSentinel


